Creates a shared item
POST /v1/shareditem
Summary
Creates a shared item.
Details
Request body: JSON object. Supported itemType values currently
include device, collection, and videoclip. sharedWithType should be
user or group.
Authentication
No operation-level security requirement is documented here.
Parameters
None documented here.
Request Body
Required: Yes
application/json
itemType(string, optional)objectID(integer (int64), optional)sharedWithType(string, optional)sharedWith(string, optional)
Example
{
"itemType": "Example value",
"objectID": 1,
"sharedWithType": "Example value",
"sharedWith": "Example value"
}
Responses
200
Success
application/json
key(integer (int64), optional)itemTypeID(integer (int64), optional)sharedItemObjectID(integer (int64), optional)collectionTypeID(integer (int64), optional)fieldName(string, optional)sharedByID(integer (int64), optional)sharedWithID(integer (int64), optional)sharedWithTypeID(integer (int64), optional)emailAddress(string, optional)permissionList(string, optional)description(string, optional)creationDate(string (date-time), optional)
Example
{
"key": 1,
"itemTypeID": 1,
"sharedItemObjectID": 1,
"collectionTypeID": 1,
"fieldName": "Example value",
"sharedByID": 1,
"sharedWithID": 1,
"sharedWithTypeID": 1,
"emailAddress": "testuser@actionstreamer.com",
"permissionList": "Example value",
"description": "Example description",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}